Bug 453694 - RHEL 5.1 PowerPC 64bit DVD ISO not recognized on Apple hardware
RHEL 5.1 PowerPC 64bit DVD ISO not recognized on Apple hardware
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhel-rg (Show other bugs)
powerpc Linux
low Severity urgent
: rc
: ---
Assigned To: Joshua Wulf
Joshua Wulf
Depends On:
  Show dependency treegraph
Reported: 2008-07-01 22:29 EDT by csb sysadmin
Modified: 2014-10-19 18:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-28 23:57:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description csb sysadmin 2008-07-01 22:29:34 EDT
Description of problem:

ISO from rhn.redhat.com for the RHEL 5.1 PowerPC 64bit DVD is not recognized on
Apple hardware (intel or ppc). For some reason the DVD does properly mount and
the contents can be seen on any Intel Linux system (e.g. Dell box). 

The media are ok since we can burn data straight onto either the DVD-R or
DVD+R's (e.g. using k3b or cdrecord) and the DVDs show up on the desktop in OSX.
We also have a SLES10 PPC DVD and a Gentoo PPC install CD which can be read on
Apple hardware and both of which are bootable and were test installed. However,
we want to try to use RHEL5 on our Xserve machines.

Version-Release number of selected component (if applicable):

% sha1sum rhel-5.1-server-ppc-dvd.iso
5c96b5fa57d5b1e7e664711b9373269524c5ab43  rhel-5.1-server-ppc-dvd.iso
% md5sum rhel-5.1-server-ppc-dvd.iso
04c8837c0e36cb459076c7513d5de1b1  rhel-5.1-server-ppc-dvd.iso

Someone on the rhelv5-list replied that the md5sum was correct. We no longer
have access to d/ld PPC ISO's.

How reproducible:

We tried burning the ISO to both a DVD-R and a DVD+RW and none of our PPC or
Intel Apple OSX Systems could read the DVD and the PPC systems could not boot
from it.

Steps to Reproduce:
1. Burn the ISO with k3b (burn dvd image) or directly with cdrecord
2. Try to get OSX system to read the DVD, fails.
3. Try to get OSX system to boot from the DVD, fails.
Actual results:

Fails trying to read the DVD and trying to boot the DVD.

Expected results:

Should be able to read and boot from the DVD.

Additional info:

Would it be possible to give us access to d/ld the PPC64 bit CDs? Our
rhn.redhat.com login is "csbsysadmin". I thought the DVD would just work so I
didn't bother d/ld'ing the CDs.
Comment 1 Jörg Schilling 2009-02-10 10:01:15 EST
There are several possible reasons for your problem.

One problem might be that Redhat does not include 
recent cdrtools but an unmaintained fork that is based
on a very old cdrtools source with additional bugs added.

I recommend you to fetch recent original software from:


create a new ISO image using the official mkisofs
program and then write the result to a DVD using the official

Be careful to check for not using the fork by accident even
after upgrading to the original software.....
Comment 2 csb sysadmin 2009-02-10 10:10:48 EST
I had another problem where I recently burned the RHELAS 5.3 x86_64 DVD on a DVD-R. The CENTOS5 system that burned the DVD couldn't mount the DVD but it could boot from it without problems. An Apple imac running the latest OSX 10.5 had no problems reading the DVD.

Note You need to log in before you can comment on or make changes to this bug.